Index: src/backend/storage/buffer/bufmgr.c
===================================================================
RCS file: /var/lib/cvs/pgsql/src/backend/storage/buffer/bufmgr.c,v
retrieving revision 1.122
diff -c -r1.122 bufmgr.c
*** src/backend/storage/buffer/bufmgr.c	6 Mar 2002 06:10:02 -0000	1.122
--- src/backend/storage/buffer/bufmgr.c	2 Apr 2002 06:00:10 -0000
***************
*** 1026,1032 ****
  BlockNumber
  BufferGetBlockNumber(Buffer buffer)
  {
! 	Assert(BufferIsValid(buffer));
  
  	if (BufferIsLocal(buffer))
  		return LocalBufferDescriptors[-buffer - 1].tag.blockNum;
--- 1026,1032 ----
  BlockNumber
  BufferGetBlockNumber(Buffer buffer)
  {
! 	Assert(BufferIsPinned(buffer));
  
  	if (BufferIsLocal(buffer))
  		return LocalBufferDescriptors[-buffer - 1].tag.blockNum;
Index: src/include/storage/buf.h
===================================================================
RCS file: /var/lib/cvs/pgsql/src/include/storage/buf.h,v
retrieving revision 1.12
diff -c -r1.12 buf.h
*** src/include/storage/buf.h	5 Nov 2001 17:46:35 -0000	1.12
--- src/include/storage/buf.h	2 Apr 2002 06:00:10 -0000
***************
*** 36,47 ****
   */
  #define BufferIsLocal(buffer)	((buffer) < 0)
  
- /*
-  * If NO_BUFFERISVALID is defined, all error checking using BufferIsValid()
-  * are suppressed.	Decision-making using BufferIsValid is not affected.
-  * This should be set only if one is sure there will be no errors.
-  * - plai 9/10/90
-  */
- #undef NO_BUFFERISVALID
- 
  #endif   /* BUF_H */
--- 36,39 ----
Index: src/include/storage/bufmgr.h
===================================================================
RCS file: /var/lib/cvs/pgsql/src/include/storage/bufmgr.h,v
retrieving revision 1.57
diff -c -r1.57 bufmgr.h
*** src/include/storage/bufmgr.h	10 Nov 2001 23:51:14 -0000	1.57
--- src/include/storage/bufmgr.h	2 Apr 2002 06:00:10 -0000
***************
*** 44,56 ****
  #define BUFFER_LOCK_SHARE		1
  #define BUFFER_LOCK_EXCLUSIVE	2
  
- 
- /**********************************************************************
- 
-   the rest is function defns in the bufmgr that are externally callable
- 
-  **********************************************************************/
- 
  /*
   * These routines are beaten on quite heavily, hence the macroization.
   */
--- 44,49 ----
***************
*** 149,155 ****
  	: \
  		BufferBlockPointers[(buffer) - 1] \
  )
- 
  
  /*
   * prototypes for functions in bufmgr.c
--- 142,147 ----
